﻿@{
    Layout = null;
}

<div class="view-container">
    <div class="title-bar">
        <div class="back">
            <a class="action" onclick="window.history.back()">
                <i class="icon-arrow-left fg-black"></i>
            </a>
        </div>

        <div class="title">
            <h1>
                Activity logs
            </h1>
        </div>
        <div class="actions">

        </div>

        <div class="clearfix"></div>
        <hr />
    </div>

    <form novalidate="" ng-submit="search()">

        <div class="grid fluid">

        </div>
        <div class="clearfix"></div>
        <div>
            <div class="place-left one-half">
                <div class="place-left one-half  padding-right20">
                    <label for="actions">Activity</label>
                    <div class="input-control select" data-role="input-control">
                        <select id="actions" ng-model="Filters.Activity"
                                ng-options="obj.Value as obj.Text for obj in Filters.Activities"></select>
                    </div>
                </div>

                <div class="place-left one-half">
                    <label for="userName">User name</label>
                    <div class="input-control text" data-role="input-control">
                        <input ng-model="Filters.UserName" id="userName" type="text">
                    </div>
                </div>
            </div>
            <div class="clearfix"></div>
            <button class="button primary place-right" type="submit">Search</button>
            <button class="button link place-right on-left-more" type="button" ng-click="clearFilters()">Clear filters</button>
            <div class="clearfix"></div>
        </div>
    </form>

    <div class="clearfix"></div>

    <kendo-grid id="activityLogGrid" options="activityLogGridOptions"></kendo-grid>

    <div class="clearfix"></div>
</div>
